Skip to main content
PATCH
Core - Update datasource

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

knowledge_id
string
required
datasource_id
string
required

Body

application/json
display_name
string
required
Minimum string length: 1
description
string | null

Response

200 - application/json

Datasource successfully updated

display_name
string
required
status
enum<string>
required
Available options:
pending,
processing,
completed,
failed,
queued
created
string
required
updated
string
required
knowledge_id
string
required
chunks_count
number<double>
required
_id
string
required
description
string | null

The description of the knowledge base

file_id
string | null

The unique identifier of the file used to create the datasource.

created_by_id
string<uuid> | null
read-only

The user ID of the creator of the knowledge base

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
update_by_id
string<uuid> | null
read-only

The user ID of the last user who updated the knowledge base

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
processing_attempts
object[]

Additive compatibility fields formerly available only from database-shaped responses.

metadata
object
attachment
object